/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package org.pustefixframework.tutorial.usermanagement;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(org.pustefixframework.tutorial.usermanagement.UserHandler.class)
public class UserWrapper extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
        
        IWrapperParamCaster    caster;
        
        // name
        if(!params.containsKey("name")) {
        pinfo  = new IWrapperParam("name", false, false, null, "java.lang.String", true);
          
        params.put("name", pinfo);
          
        }  
        
      
        // email
        if(!params.containsKey("email")) {
        pinfo  = new IWrapperParam("email", false, false, null, "java.lang.String", true);
          
        params.put("email", pinfo);
          
        }  
        
      
        // birthday
        if(!params.containsKey("birthday")) {
        pinfo  = new IWrapperParam("birthday", false, false, null, "java.util.Date", true);
          
        params.put("birthday", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToDate();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        // admin
        if(!params.containsKey("admin")) {
        pinfo  = new IWrapperParam("admin", false, true, null, "java.lang.Boolean", true);
          
        params.put("admin", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        // homepage
        if(!params.containsKey("homepage")) {
        pinfo  = new IWrapperParam("homepage", false, true, null, "java.net.URL", true);
          
        params.put("homepage", pinfo);
          
        caster = new org.pustefixframework.tutorial.caster.ToURL();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        // gender
        if(!params.containsKey("gender")) {
        pinfo  = new IWrapperParam("gender", false, false, null, "java.lang.String", true);
          
        params.put("gender", pinfo);
          
        }  
        
      
        super.registerParams();
    }
    
    // name
    public java.lang.String getName() {
        return (java.lang.String) gimmeParamForKey("name").getValue();
    }
    
    public void setStringValName(String v) {
        gimmeParamForKey("name").
          setStringValue(new String[] {v});
    }

    public void setName(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("name");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeName(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("name"), scode, null, null);
    }

    public void addSCodeName(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("name"), scode, args, level);
    }

    /**
      * @deprecated use addScodeName(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsName(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("name"), scode, args, null);
    }
        
    // email
    public java.lang.String getEmail() {
        return (java.lang.String) gimmeParamForKey("email").getValue();
    }
    
    public void setStringValEmail(String v) {
        gimmeParamForKey("email").
          setStringValue(new String[] {v});
    }

    public void setEmail(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("email");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeEmail(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("email"), scode, null, null);
    }

    public void addSCodeEmail(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("email"), scode, args, level);
    }

    /**
      * @deprecated use addScodeEmail(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsEmail(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("email"), scode, args, null);
    }
        
    // birthday
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToDate.class
    )
    public java.util.Date getBirthday() {
        return (java.util.Date) gimmeParamForKey("birthday").getValue();
    }
    
    public void setStringValBirthday(String v) {
        gimmeParamForKey("birthday").
          setStringValue(new String[] {v});
    }

    public void setBirthday(java.util.Date v) {
        IWrapperParam iwrpParam = gimmeParamForKey("birthday");
        setStringValue(new java.util.Date[] {v}, iwrpParam);
    }

    public void addSCodeBirthday(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("birthday"), scode, null, null);
    }

    public void addSCodeBirthday(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("birthday"), scode, args, level);
    }

    /**
      * @deprecated use addScodeBirthday(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsBirthday(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("birthday"), scode, args, null);
    }
        
    // admin
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getAdmin() {
        return (java.lang.Boolean) gimmeParamForKey("admin").getValue();
    }
    
    public void setStringValAdmin(String v) {
        gimmeParamForKey("admin").
          setStringValue(new String[] {v});
    }

    public void setAdmin(java.lang.Boolean v) {
        IWrapperParam iwrpParam = gimmeParamForKey("admin");
        setStringValue(new java.lang.Boolean[] {v}, iwrpParam);
    }

    public void addSCodeAdmin(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("admin"), scode, null, null);
    }

    public void addSCodeAdmin(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("admin"), scode, args, level);
    }

    /**
      * @deprecated use addScodeAdmin(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsAdmin(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("admin"), scode, args, null);
    }
        
    // homepage
    @Caster(
        type=org.pustefixframework.tutorial.caster.ToURL.class
    )
    public java.net.URL getHomepage() {
        return (java.net.URL) gimmeParamForKey("homepage").getValue();
    }
    
    public void setStringValHomepage(String v) {
        gimmeParamForKey("homepage").
          setStringValue(new String[] {v});
    }

    public void setHomepage(java.net.URL v) {
        IWrapperParam iwrpParam = gimmeParamForKey("homepage");
        setStringValue(new java.net.URL[] {v}, iwrpParam);
    }

    public void addSCodeHomepage(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("homepage"), scode, null, null);
    }

    public void addSCodeHomepage(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("homepage"), scode, args, level);
    }

    /**
      * @deprecated use addScodeHomepage(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsHomepage(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("homepage"), scode, args, null);
    }
        
    // gender
    public java.lang.String getGender() {
        return (java.lang.String) gimmeParamForKey("gender").getValue();
    }
    
    public void setStringValGender(String v) {
        gimmeParamForKey("gender").
          setStringValue(new String[] {v});
    }

    public void setGender(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("gender");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeGender(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("gender"), scode, null, null);
    }

    public void addSCodeGender(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("gender"), scode, args, level);
    }

    /**
      * @deprecated use addScodeGender(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsGender(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("gender"), scode, args, null);
    }
        
}
  